import { HTMLAttributes } from 'react';
import { ContainerProps } from '../container/container.types';
import { RipplePropsForComponents } from '../ripple/ripple.types';

export interface CardActionAreaProps
    extends RipplePropsForComponents<HTMLDivElement> {
    ripples?: boolean;
}

export interface CardProps extends ContainerProps {}

export interface CardMediaProps extends HTMLAttributes<CardMedia> {
    type: 'img' | 'video' | 'picture' | 'iframe' | 'audio';
    rounded?: boolean;
    preview?: boolean;
}

export type CardMedia = HTMLImageElement &
    HTMLVideoElement &
    HTMLPictureElement &
    HTMLMediaElement &
    HTMLIFrameElement &
    HTMLAudioElement;
